//--------------------------------------------------------------
//
//--------------------------------------------------------------
class RipjackHeatTrail extends Emitter;

var bool bActive;

simulated function ActivateEmitter()
{
	SetTimer(1.4,false);
}

simulated function Timer()
{
	// called from RipjackAltFire to add the heat effect after a short while
	if(bActive)
	{
		Emitters[0].Disabled = False;
		Emitters[1].Disabled = False;
		Emitters[2].Disabled = False;
	}
}

simulated function DeactivateEmitter()
{
	bActive = False;

	Emitters[0].Disabled = True;
	Emitters[1].Disabled = True;
	Emitters[2].Disabled = True;
}

DefaultProperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        UseDirectionAs=PTDU_Normal
        UseColorScale=True
        FadeOut=True
        SpinParticles=True
        UniformSize=True
        ColorScale(0)=(Color=(B=111,G=187,R=238))
        ColorScale(1)=(RelativeTime=0.700000,Color=(B=55,G=109,R=221))
        ColorScale(2)=(RelativeTime=1.000000)
	StartLocationOffset=(Z=0.050000)
        FadeOutStartTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=6
	Disabled=True
	InitialDelayRange=(Min=0.350000,Max=0.350000)
        StartSpinRange=(X=(Max=0.500000))
        StartSizeRange=(X=(Min=5.750000,Max=6.250000))
        Texture=Texture'AW-2004Particles.Energy.EclipseCircle'
        LifetimeRange=(Min=1.000000,Max=1.000000)
    End Object
    Emitters(0)=SpriteEmitter'SpriteEmitter0'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter1
        UseDirectionAs=PTDU_Up
        UseColorScale=True
        FadeOut=True
        Acceleration=(Z=-100.000000)
        ColorScale(0)=(Color=(B=186,G=225,R=252))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=165,G=248,R=250))
        FadeOutStartTime=0.200000
        CoordinateSystem=PTCS_Independant
	MaxParticles=20
	Disabled=True
	InitialDelayRange=(Min=0.350000,Max=0.350000)
        StartLocationRange=(X=(Min=-10.000000,Max=10.000000),Y=(Min=-10.000000,Max=10.000000),Z=(Min=-1.000000,Max=1.000000))
        StartSizeRange=(X=(Min=0.100000,Max=0.300000),Y=(Min=2.500000,Max=3.250000))
        Texture=Texture'AW-2004Particles.Energy.SparkHead'
        LifetimeRange=(Min=0.500000,Max=0.500000)
        StartVelocityRadialRange=(Min=-50.000000,Max=-50.000000)
        GetVelocityDirectionFrom=PTVD_AddRadial
    End Object
    Emitters(1)=SpriteEmitter'SpriteEmitter1'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter2
        UseColorScale=True
        FadeOut=True
        UniformSize=True
        ColorScale(0)=(Color=(B=88,G=170,R=231))
        ColorScale(1)=(RelativeTime=0.500000,Color=(B=48,G=84,R=228))
        ColorScale(2)=(RelativeTime=1.000000)
        FadeOutStartTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=7
	Disabled=True
	InitialDelayRange=(Min=0.350000,Max=0.350000)
        StartSizeRange=(X=(Min=3.500000,Max=3.750000))
        Texture=Texture'EpicParticles.Flares.FlashFlare1'
        LifetimeRange=(Min=1.000000,Max=1.000000)
    End Object
    Emitters(2)=SpriteEmitter'SpriteEmitter2'

	bNoDelete=False
	AutoDestroy=True
	RemoteRole=ROLE_None
	bHardAttach=true
}
